from db.user import User
from app import app
from flask import request
from middlewares.auth import login_required
from flask import jsonify
import hashlib
from utils.jwt import generate_jwt

@app.route('/')
@login_required
def hello_world():
    auth = request.headers.get('Authorization')
    print(auth)
    u = User(first_name="Ali", last_name="Anvari")
    v = u.store()
    print(str(v.inserted_id))
    return 'Hello World!'


@app.route('/signup', methods=["POST"])
def signup():
    body = request.json
    hashed_password = hashlib.md5(body["password"].encode()).hexdigest()
    u = User(first_name=body["first_name"], last_name=body["last_name"], email=body["email"], hashed_password=hashed_password)
    u.store()
    return jsonify({"token": generate_jwt(u.get_id())})


@app.route('/login', methods=["POST"])
def login():
    return 'Hello World!'
